Foreman - Bug #14343

When using image-based provisioning via hammer, the subnet is not inherited from the hostgroup
03/24/2016 07:24 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Host creation
Target version: 1.10.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3262
Description

Copy of #13984 for inclusion in 1.10.3.

1. configure image-based provisioning with dhcp integration
2. try co provision a host via hammer

bundle exec bin/hammer host create —--hostgroup=base —--compute-resource=libvirt --name test-9 —-com
pute-attributes="start=1" --provision-method image
3. An error is produced:

Could not create the host:
Ip can't be blank

Expected behaviour: the subnet from the hostgroup is used by default

Workaround: specify the subnet explicitly

Related issues:
Copied from Foreman - Bug #13984: When using image-based provisioning via ham... Closed 03/01/2016

Associated revisions

Revision 2620a2c1 - 05/19/2016 01:32 PM - Ivan Necas

Fixes #14343 - inherit subnet from hostgroup even for image-based provisioning

(cherry picked from commit 17f4ee612bf1308cb51d4644bdd76ba7dc73eea?)

History

#1 - 03/24/2016 07:24 AM - Dominic Cleal

- Copied from Bug #13984: When using image-based provisioning via hammer, the subnet is not inherited from the hostgroup added

#2 - 03/24/2016 07:24 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 03/30/2016 08:25 AM - Dominic Cleal

- translation missing: en.field_release changed from 145 to 152

#4 - 05/20/2016 07:40 AM - Dominic Cleal

- Status changed from Assigned to Closed
